### Function Macro

# Dex DEFINE_CLOSURE_VALUE_WITH_CLEAR

#### Declaration [src]

    #define DEX_DEFINE_CLOSURE_VALUE_WITH_CLEAR (
      type,
      name,
      clear
    )

#### Description [src]

A value field descriptor for #DEX_DEFINE_CLOSURE_TYPE() which is cleared by calling `clear` with the address of the value.

This function is not directly available to language bindings.

#### Parameters

`type`

  Type: `-`

  Field type.

`name`

  Type: `-`

  Field name.

`clear`

  Type: `-`

  Clear callback taking a pointer to `type`.